[user]
	name = JohnE
	email = git@malloc.io
[push]
	default = simple
[core]
	editor = vim
	whitespace = fix,-indent-with-non-tab,trailing-space,cr-at-eol
	excludesfile = /Users/johne/.gitignore_global
	quotepath = false
[web]
	browser = google-chrome
[alias]
	a = add .
	ai = add -i
	#############
	ap = apply
	as = apply --stat
	ac = apply --check
	#############
	ama = am --abort
	amr = am --resolved
	ams = am --skip
	#############
	b  = branch
	ba = branch -a
	bd = branch -d
	bdd = branch -D
	br = branch -r
	brd = branch -rd
	bl = branch -lvv
	bv = branch -lvv
	bav = branch -alvv
	#############
	bu  = bundle
	buc = bundle create
	buv = bundle verify
	bul = bundle list-heads
	#############
	c = commit
	ca = commit -a
	cm = commit . -m
	cam = commit -am
	cd = commit --amend
	cad = commit -a --amend
	#############
	ch  = checkout
	co  = checkout
	chb = checkout -b
	cob = checkout -b
	#############
	d = diff
	dc = diff --cached
	dl = difftool
	dlc = difftool --cached
	dk = diff --check
	dck = diff --cached --check
	#############
	f = fetch
	fo = fetch origin
	#############
	fp = format-patch
	#############
	fk = fsck
	#############
	l = log --oneline
	lg = log --oneline --graph --decorate
	ls = log --stat
	ll = log --oneline --decorate
	#############
	m = merge
	ma = merge --abort
	mc = merge --continue
	ms = merge --skip
	#############
	mt = mergetool
	#############
	pn = prune -v
	#############
	ps = push
	psf = push -f
	psu = push -u
	pso = push origin
	psom = push origin master
	#############
	pl = pull
	plu = pull -u
	plo = pull origin
	plp = pull upstream
	plom = pull origin master
	plpm = pull upstream master
	#############
	pr = pull --rebase
	pro = pull --rebase origin
	prp = pull --rebase upstream
	prom = pull --rebase origin master
	prpm = pull --rebase upstream master
	#############
	rb = rebase
	rba = rebase --abort
	rbc = rebase --continue
	rbi = rebase --interactive
	rbs = rebase --skip
	#############
	re = reset
	rh = reset HEAD
	reh = reset --hard
	rem = reset --mixed
	res = reset --soft
	rehh = reset --hard HEAD
	remh = reset --mixed HEAD
	resh = reset --soft HEAD
	#############
	r = remote -v
	ra = remote add
	rm = remote rm
	rv = remote -v
	rp = remote prune
	rs = remote show
	rso = remote show origin
	rpo = remote prune origin
	#############
	sub = submodule
	#############
	s = status
	sb = status -s -b
	#############
	sa = stash apply
	sc = stash clear
	sd = stash drop
	sl = stash list
	sp = stash pop
	ss = stash save
	sw = stash show
	#############
	w = show
	wp = show -p
	wr = show -p --no-color
	#############
	human = name-rev --name-only --refs=refs/heads/*
[color]
	ui = always
[color "branch"]
	current = yellow bold
	local = green bold
	remote = cyan bold
[color "diff"]
	meta = yellow bold
	frag = magenta bold
	old = red bold
	new = green bold
	whitespace = red reverse
[color "status"]
	added = green bold
	changed = yellow bold
	untracked = red bold
[diff]
	tool = diffmerge
[difftool]
	prompt = false
[difftool "diffmerge"]
	cmd = diffmerge \"$LOCAL\" \"$REMOTE\"
[merge]
	tool = diffmerge
[mergetool]
	keepBackup = false
	prompt = false
[mergetool "diffmerge"]
	cmd = "diffmerge --merge --result=\"$MERGED\" \"$LOCAL\" \"$(if test -f \"$BASE\"; then echo \"$BASE\"; else echo \"$LOCAL\"; fi)\" \"$REMOTE\""
	trustExitCode = true
[difftool "sourcetree"]
	cmd = opendiff \"$LOCAL\" \"$REMOTE\"
	path = 
[mergetool "sourcetree"]
	cmd = /Applications/SourceTree.app/Contents/Resources/opendiff-w.sh \"$LOCAL\" \"$REMOTE\" -ancestor \"$BASE\" -merge \"$MERGED\"
	trustExitCode = true
[filter "lfs"]
	clean = git-lfs clean %f
	smudge = git-lfs smudge %f
	required = true
